Bug 907513 - Review Request: clearlooks-phenix-theme - Clearlooks-Phenix gtk theme
Summary: Review Request: clearlooks-phenix-theme - Clearlooks-Phenix gtk theme
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-04 15:28 UTC by Richard Marko
Modified: 2016-02-01 02:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 04:26:52 UTC
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Richard Marko 2013-02-04 15:28:25 UTC
Spec URL: http://rmarko.fedorapeople.org/packages/clearlooks-phenix-theme.spec
SRPM URL: http://rmarko.fedorapeople.org/packages/clearlooks-phenix-theme-3.0.14-1.fc18.src.rpm
Description: Clearlooks-Phenix is a GTK+ 3 port of Clearlooks, the default theme for GNOME 2.

Fedora Account System Username: rmarko

Comment 1 Lubomir Rintel 2013-02-12 09:58:14 UTC
* Package name correct
* Soruce tarball creation properly commented on
* License correct and allowed in fedora
* Spec file clean and legible
* Builds fine in mock

1.) Newer version (3.0.15) is available

2.) Description is not accurate

You speak of gtk3 theme, but ship theme for metacity and gtk2. Are those needed at all?

3.) Requires/provides might need tweaking: see below

Would you mind splitting the themes into subpackages as is done for other theme packages (e.g. zukini), so that you'll have: 

clearlooks-phenix-gtk2-theme
clearlooks-phenix-gtk3-theme
clearlooks-phenix-xfwm4-theme
clearlooks-phenix-metacity-theme
clearlooks-phenix-openbox-theme
clearlooks-phenix-common

You'll be able to fix up the dependency chain then (e.g. not requiring clearlooks gtk2 engine when user only needs gtk3).

Also, you'd be able to add missing Requires (of metacity or gtk+ itself) while not being afraid of dragging in unnecessary packages.

Comment 3 Lubomir Rintel 2013-03-18 17:38:12 UTC
Seems sane now, may God shower you with grace and blessings!

=== clearlooks-phenix-common-3.0.15-1.fc18.noarch ===
Requires:
Provides:
    clearlooks-phenix-common = 3.0.15-1.fc18

=== clearlooks-phenix-gtk2-theme-3.0.15-1.fc18.noarch ===
Requires:
    clearlooks-phenix-common = 3.0.15-1.fc18
    gtk2-engines
Provides:
    clearlooks-phenix-gtk2-theme = 3.0.15-1.fc18

=== clearlooks-phenix-gtk3-theme-3.0.15-1.fc18.noarch ===
Requires:
    clearlooks-phenix-common = 3.0.15-1.fc18
    gtk3
Provides:
    clearlooks-phenix-gtk3-theme = 3.0.15-1.fc18

=== clearlooks-phenix-metacity-theme-3.0.15-1.fc18.noarch ===
Requires:
    clearlooks-phenix-common = 3.0.15-1.fc18
    metacity
Provides:
    clearlooks-phenix-metacity-theme = 3.0.15-1.fc18

=== clearlooks-phenix-openbox-theme-3.0.15-1.fc18.noarch ===
Requires:
    clearlooks-phenix-common = 3.0.15-1.fc18
    openbox
Provides:
    clearlooks-phenix-openbox-theme = 3.0.15-1.fc18

=== clearlooks-phenix-xfwm4-theme-3.0.15-1.fc18.noarch ===
Requires:
    clearlooks-phenix-common = 3.0.15-1.fc18
    xfwm4
Provides:
    clearlooks-phenix-xfwm4-theme = 3.0.15-1.fc18

APPROVED

Comment 4 Richard Marko 2013-03-18 17:44:16 UTC
New Package SCM Request
=======================
Package Name: clearlooks-phenix-theme
Short Description: Clearlooks-Phenix is a GTK+ 3 port of Clearlooks, the default theme for GNOME 2.
Owners: rmarko
Branches: f17 f18
InitialCC:

Comment 5 Gwyn Ciesla 2013-03-18 17:49:17 UTC
Git done (by process-git-requests).

Comment 6 Richard Marko 2013-03-18 21:28:24 UTC
I'm sorry but the Package name in comment #4 was wrong. It should be 

Package Name: clearlooks-phenix

as it was renamed during the review.

Comment 7 Gwyn Ciesla 2013-03-19 12:18:47 UTC
Provide a request with the correct name, and then follow the package EOL
procedure for the package with the incorrect name.

Comment 8 Richard Marko 2013-03-19 12:59:04 UTC
New Package SCM Request
=======================
Package Name: clearlooks-phenix
Short Description: Clearlooks-Phenix is a GTK+ 3 port of Clearlooks, the default theme for GNOME 2.
Owners: rmarko
Branches: f17 f18
InitialCC:

Comment 9 Gwyn Ciesla 2013-03-19 13:51:26 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-03-19 16:12:15 UTC
clearlooks-phenix-3.0.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/clearlooks-phenix-3.0.15-1.fc17

Comment 11 Fedora Update System 2013-03-19 16:13:06 UTC
clearlooks-phenix-3.0.15-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/clearlooks-phenix-3.0.15-1.fc18

Comment 12 Fedora Update System 2013-03-20 21:41:12 UTC
clearlooks-phenix-3.0.15-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 13 Fedora Update System 2013-04-03 04:26:54 UTC
clearlooks-phenix-3.0.15-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 14 Fedora Update System 2013-04-03 04:42:34 UTC
clearlooks-phenix-3.0.15-1.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.